import { jsx as ___EmotionJSX } from "@emotion/core";
import React from 'react';
import { shallow } from 'enzyme';
import ImmersiveModal from './index';

var childComponent = ___EmotionJSX("div", null);

describe('<ImmersiveModal />', function () {
  describe('ImmersiveModal closure', function () {
    it('invokes the onClose prop', function () {
      var spy = jest.fn();
      var wrapper = shallow(___EmotionJSX(ImmersiveModal, {
        onClose: spy
      }, childComponent));
      wrapper.instance().closeModal();
      expect(spy).toHaveBeenCalled();
    });
  });
});